xmltooling 3.2.4

Public Member Functions | List of all members
xmltooling::auto_arrayptr< T > Class Template Reference

An auto_ptr that uses array delete on its contents. More...

`#include <xmltooling/unicode.h>`

## Public Member Functions
| auto_arrayptr (T *ptr)
| Constructor.
| ~auto_arrayptr ()
| Destructor, uses array delete operation on wrapped pointer.
const T * | get () const
| Returns the wrapped pointer.
T * | release ()
| Returns the wrapped pointer and transfers ownership of it to the caller.

## Detailed Description

template<typename T>
class xmltooling::auto_arrayptr< T >

An auto_ptr that uses array delete on its contents.

Parameters

  T | type of pointer to wrap

## Constructor & Destructor Documentation

## ◆ auto_arrayptr()

template<typename T >

xmltooling::auto_arrayptr< T >::auto_arrayptr | ( | T * | ptr | ) |
| inline

Constructor.

Parameters

  ptr | pointer to wrap

## Member Function Documentation

## ◆ get()

template<typename T >

const T * xmltooling::auto_arrayptr< T >::get | ( |  | ) | const
| inline

Returns the wrapped pointer.

Returns
  the wrapped pointer

## ◆ release()

template<typename T >

T * xmltooling::auto_arrayptr< T >::release | ( |  | ) |
| inline

Returns the wrapped pointer and transfers ownership of it to the caller.

Returns
  the wrapped pointer

The documentation for this class was generated from the following file:

- xmltooling/unicode.h